
ALTER PROCEDURE [dbo].[upd_cnt_contratoDetalleVisita]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_contratoDetalleVisita varchar(300) = null,
		@p_contratoDetalleVisita_codigo varchar(100) = null,
		@p_frecuencia int = null,
		@p_cadaN int = null,
		@p_dia int = null,
		@p_estrategia int = null,
		@p_porTrabajo bit = null,
		@p_incluirMenores bit = null,
		@p_aproximarA int = null,
		@p_fecha_ff smalldatetime = null,
		@p_id_contrato int = null,
		@p_diaHabil int = null,
		@p_fechaInactivaFinal_ff Datetime= null, 
		@p_fechaInactivaInicial_ff  Datetime= null
AS
BEGIN
		UPDATE [cnt_contratoDetalleVisita]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[contratoDetalleVisita] = isnull(@p_contratoDetalleVisita,[contratoDetalleVisita]),
			[contratoDetalleVisita_codigo] = isnull(@p_contratoDetalleVisita_codigo,[contratoDetalleVisita_codigo]),
			[frecuencia] = isnull(@p_frecuencia,[frecuencia]),
			[cadaN] = isnull(@p_cadaN,[cadaN]),
			[dia] = isnull(@p_dia,[dia]),
			[estrategia] = isnull(@p_estrategia,[estrategia]),
			[porTrabajo] = isnull(@p_porTrabajo,[porTrabajo]),
			[incluirMenores] = isnull(@p_incluirMenores,[incluirMenores]),
			[aproximarA] = isnull(@p_aproximarA,[aproximarA]),
			[fecha_ff] = isnull(@p_fecha_ff,[fecha_ff]),
			[id_contrato] = isnull(@p_id_contrato,[id_contrato]),
			[diaHabil] = isnull(@p_diaHabil,[diaHabil]),
			[fechaInactivaFinal_ff]=isnull(@p_fechaInactivaInicial_ff,[fechaInactivaFinal_ff]),
		    [fechaInactivaInicial_ff]=isnull(@p_fechaInactivaInicial_ff,[fechaInactivaInicial_ff])
		WHERE (id = @p_id)
END